Util (accounting-node 1.4.0-2.17.0 API)
Date: 2013-11-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.common.accounting.node.util
Class Util

    java.lang.Object
      org.gcube.common.accounting.node.util.Util

    public class Util

extends Object

Author:
  Andrea Manzi(CERN)

Field Summary
`static String` | `DATE_FORMAT`
`static String` | `DATE_FORMAT_DAY`
`static SimpleDateFormat` | `format`
`static SimpleDateFormat` | `format_day`

Constructor Summary
`Util(org.gcube.common.core.utils.logging.GCUBELog logger)`

Method Summary
`ArrayList<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>>` | `createAccountingInfo(File input, DateInterval interval)`
`ArrayList<DateInterval>` | `generateDateIntervals(PersistenceAdapter adapter, Long interval)` generateDateIntervals
`static String` | `getClazz(String line)`
`static String` | `getName(String line)`
`protected ArrayList<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>>` | `groupAccountingMessages(ArrayList<LogEntry> entries, DateInterval interval)`
`HashMap<File,ArrayList<DateInterval>>` | `matchIntervalsWithLogFiles(File[] files, ArrayList<DateInterval> inputIntervals)`
`void` | `updateAccoutingInfo(ArrayList<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>> messages, PersistenceAdapter adapter, DateInterval interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATE_FORMAT

    public static final String DATE_FORMAT

See Also:
  Constant Field Values

### DATE_FORMAT_DAY

    public static final String DATE_FORMAT_DAY

See Also:
  Constant Field Values

### format

    public static SimpleDateFormat format

### format_day

    public static SimpleDateFormat format_day

Constructor Detail

### Util

    public Util(org.gcube.common.core.utils.logging.GCUBELog logger)

Method Detail

### groupAccountingMessages

    protected ArrayList<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>> groupAccountingMessages(ArrayList<LogEntry> entries,
                                                                                                                                                                       DateInterval interval)

### generateDateIntervals

    public ArrayList<DateInterval> generateDateIntervals(PersistenceAdapter adapter,
                                                         Long interval)

  generateDateIntervals

  Parameters:
    `adapter` -
    `interval` -
  Returns:

### matchIntervalsWithLogFiles

    public HashMap<File,ArrayList<DateInterval>> matchIntervalsWithLogFiles(File[] files,
                                                                            ArrayList<DateInterval> inputIntervals)

  Parameters:
    `files` -
    `inputIntervals` -
  Returns:

### updateAccoutingInfo

    public void updateAccoutingInfo(ArrayList<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>> messages,
                                    PersistenceAdapter adapter,
                                    DateInterval interval)
                             throws Exception

  Throws:
    `Exception`

### createAccountingInfo

    public ArrayList<org.gcube.messaging.common.messages.NodeAccountingMessage<org.gcube.messaging.common.messages.records.IntervalRecord>> createAccountingInfo(File input,
                                                                                                                                                                 DateInterval interval)
                                                                                                                                                          throws IOException,
                                                                                                                                                                 Exception

  Throws:
    `IOException`
    `Exception`

### getClazz

    public static String getClazz(String line)

### getName

    public static String getName(String line)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.